VirtuousAI
Reference

Workspace comments

List Workspace Comment Threads

GET
/api/v1/workspaces/{workspace_id}/comment-threads

Path Parameters

workspace_id*string
Formatuuid

Query Parameters

include_resolved?boolean
Defaultfalse

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/comment-threads"
{
  "items": [
    {
      "anchorExcerpt": "string",
      "anchorKey": "string",
      "anchorKind": "table_cell",
      "anchorLabel": "string",
      "comments": [
        {
          "author": {
            "email": "string",
            "firstName": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "lastName": "string",
            "profilePictureUrl": "string"
          },
          "authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
          "body": "string",
          "commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
          "createdAt": "2019-08-24T14:15:22Z",
          "editedAt": "2019-08-24T14:15:22Z",
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "updatedAt": "2019-08-24T14:15:22Z"
        }
      ],
      "createdAt": "2019-08-24T14:15:22Z",
      "createdByUser": {
        "email": "string",
        "firstName": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "lastName": "string",
        "profilePictureUrl": "string"
      },
      "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "isResolved": true,
      "resolvedAt": "2019-08-24T14:15:22Z",
      "resolvedByUser": {
        "email": "string",
        "firstName": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "lastName": "string",
        "profilePictureUrl": "string"
      },
      "resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
      "selectorPayload": {},
      "updatedAt": "2019-08-24T14:15:22Z",
      "viewportPayload": {},
      "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Create Workspace Comment Thread

POST
/api/v1/workspaces/{workspace_id}/comment-threads

Path Parameters

workspace_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

anchorExcerpt?|
anchorKey*string
Length1 <= length <= 512
anchorKind*string
Value in"table_cell" | "table_row" | "table_column" | "table_root" | "markdown_block" | "chart_root"
anchorLabel*string
Length1 <= length <= 255
body*string
Length1 <= length <= 2000
selectorPayload*
viewportPayload?|

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/comment-threads" \  -H "Content-Type: application/json" \  -d '{    "anchorKey": "string",    "anchorKind": "table_cell",    "anchorLabel": "string",    "body": "string",    "selectorPayload": {}  }'
{
  "anchorExcerpt": "string",
  "anchorKey": "string",
  "anchorKind": "table_cell",
  "anchorLabel": "string",
  "comments": [
    {
      "author": {
        "email": "string",
        "firstName": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "lastName": "string",
        "profilePictureUrl": "string"
      },
      "authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
      "body": "string",
      "commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
      "createdAt": "2019-08-24T14:15:22Z",
      "editedAt": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "createdByUser": {
    "email": "string",
    "firstName": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "lastName": "string",
    "profilePictureUrl": "string"
  },
  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "isResolved": true,
  "resolvedAt": "2019-08-24T14:15:22Z",
  "resolvedByUser": {
    "email": "string",
    "firstName": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "lastName": "string",
    "profilePictureUrl": "string"
  },
  "resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
  "selectorPayload": {},
  "updatedAt": "2019-08-24T14:15:22Z",
  "viewportPayload": {},
  "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Patch Workspace Comment Thread

PATCH
/api/v1/workspaces/{workspace_id}/comment-threads/{comment_thread_id}

Path Parameters

workspace_id*string
Formatuuid
comment_thread_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

resolved*boolean

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "resolved": true  }'
{
  "anchorExcerpt": "string",
  "anchorKey": "string",
  "anchorKind": "table_cell",
  "anchorLabel": "string",
  "comments": [
    {
      "author": {
        "email": "string",
        "firstName": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "lastName": "string",
        "profilePictureUrl": "string"
      },
      "authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
      "body": "string",
      "commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
      "createdAt": "2019-08-24T14:15:22Z",
      "editedAt": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "createdByUser": {
    "email": "string",
    "firstName": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "lastName": "string",
    "profilePictureUrl": "string"
  },
  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "isResolved": true,
  "resolvedAt": "2019-08-24T14:15:22Z",
  "resolvedByUser": {
    "email": "string",
    "firstName": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "lastName": "string",
    "profilePictureUrl": "string"
  },
  "resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
  "selectorPayload": {},
  "updatedAt": "2019-08-24T14:15:22Z",
  "viewportPayload": {},
  "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Delete Workspace Comment Thread

DELETE
/api/v1/workspaces/{workspace_id}/comment-threads/{comment_thread_id}

Path Parameters

workspace_id*string
Formatuuid
comment_thread_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

curl -X DELETE "https://loading/api/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Create Workspace Comment

POST
/api/v1/workspaces/{workspace_id}/comment-threads/{comment_thread_id}/comments

Path Parameters

workspace_id*string
Formatuuid
comment_thread_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

body*string
Length1 <= length <= 2000

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{
  "anchorExcerpt": "string",
  "anchorKey": "string",
  "anchorKind": "table_cell",
  "anchorLabel": "string",
  "comments": [
    {
      "author": {
        "email": "string",
        "firstName": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "lastName": "string",
        "profilePictureUrl": "string"
      },
      "authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
      "body": "string",
      "commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
      "createdAt": "2019-08-24T14:15:22Z",
      "editedAt": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "createdByUser": {
    "email": "string",
    "firstName": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "lastName": "string",
    "profilePictureUrl": "string"
  },
  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "isResolved": true,
  "resolvedAt": "2019-08-24T14:15:22Z",
  "resolvedByUser": {
    "email": "string",
    "firstName": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "lastName": "string",
    "profilePictureUrl": "string"
  },
  "resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
  "selectorPayload": {},
  "updatedAt": "2019-08-24T14:15:22Z",
  "viewportPayload": {},
  "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Patch Workspace Comment

PATCH
/api/v1/workspaces/{workspace_id}/comment-threads/{comment_thread_id}/comments/{comment_id}

Path Parameters

workspace_id*string
Formatuuid
comment_thread_id*string
Formatuuid
comment_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Request Body

application/json

body*string
Length1 <= length <= 2000

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{
  "anchorExcerpt": "string",
  "anchorKey": "string",
  "anchorKind": "table_cell",
  "anchorLabel": "string",
  "comments": [
    {
      "author": {
        "email": "string",
        "firstName": "string",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "lastName": "string",
        "profilePictureUrl": "string"
      },
      "authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
      "body": "string",
      "commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
      "createdAt": "2019-08-24T14:15:22Z",
      "editedAt": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z",
  "createdByUser": {
    "email": "string",
    "firstName": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "lastName": "string",
    "profilePictureUrl": "string"
  },
  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "isResolved": true,
  "resolvedAt": "2019-08-24T14:15:22Z",
  "resolvedByUser": {
    "email": "string",
    "firstName": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "lastName": "string",
    "profilePictureUrl": "string"
  },
  "resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
  "selectorPayload": {},
  "updatedAt": "2019-08-24T14:15:22Z",
  "viewportPayload": {},
  "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}

Delete Workspace Comment

DELETE
/api/v1/workspaces/{workspace_id}/comment-threads/{comment_thread_id}/comments/{comment_id}

Path Parameters

workspace_id*string
Formatuuid
comment_thread_id*string
Formatuuid
comment_id*string
Formatuuid

Header Parameters

authorization?|
X-API-Key?|
vai_token?|

Response Body

application/json

curl -X DELETE "https://loading/api/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}